import Form from '..';
import Input from '../../input';
import React from 'react';
import ReactDOM from 'react-dom';
import Select from '../../select';
const FormItem = Form.Item;
const formItemLayout = {
    labelCol: { xxs: 4, l: 4 },
    wrapperCol: { xxs: 20, l: 16 },
};
ReactDOM.render(React.createElement(Form, Object.assign({}, formItemLayout),
    React.createElement(FormItem, { label: "userName:" },
        React.createElement(Input, null)),
    React.createElement(FormItem, { label: "password:" },
        React.createElement(Input, { htmlType: "password", name: "resPass", placeholder: "Please Enter Password" })),
    React.createElement(FormItem, { label: "Country:" },
        React.createElement(Select, { placeholder: "Please select a country", style: { width: '100%' } },
            React.createElement("option", { value: "china" }, "China"),
            React.createElement("option", { value: "use" }, "United States"),
            React.createElement("option", { value: "japan" }, "Japan"),
            React.createElement("option", { value: "korean" }, "South Korea"),
            React.createElement("option", { value: "Thailand" }, "Thailand"))),
    React.createElement(FormItem, { label: "Note:", help: "something" },
        React.createElement(Input.TextArea, { placeholder: "something", name: "resReremark" })),
    React.createElement(FormItem, { label: " " },
        React.createElement(Form.Submit, null, "Submit"))), document.getElementById('form-demo-8'));
